From 937664639a40a5ebeba7ce3c809f5cf506403444 Mon Sep 17 00:00:00 2001
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date: Sun, 23 Oct 2022 00:36:27 +0200
Subject: [PATCH 3/8] src/test.py: Adjust test-pam_python{,3}.pam test module
 name according to what Python version runs the unit test.

Signed-off-by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
---
 src/test.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test.py b/src/test.py
index ce9cb19..f3e6058 100644
--- a/src/test.py
+++ b/src/test.py
@@ -17,14 +17,14 @@ if sys.hexversion < 0x03000000:
   py23_standard_exception = StandardError
   def py23_function_name(func):
     return func.func_name
+  TEST_PAM_MODULE = "test-pam_python.pam"
 else:
   py23_base_exception = BaseException
   py23_standard_exception = Exception
   def py23_function_name(func):
     return func.__name__
+  TEST_PAM_MODULE = "test-pam_python3.pam"
 
-
-TEST_PAM_MODULE	= "test-pam_python.pam"
 TEST_PAM_USER	= "root"
 
 #
-- 
2.30.2

